// Code generated by protoc-gen-go. DO NOT EDIT.
// source: messages.proto

package messages

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

//for libp2p requests on the a8 network
type A8Message struct {
	MessageId string `protobuf:"bytes,1,opt,name=message_id,json=messageId,proto3" json:"message_id,omitempty"`
	CallId    string `protobuf:"bytes,2,opt,name=call_id,json=callId,proto3" json:"call_id,omitempty"`
	// Types that are valid to be assigned to Call:
	//	*A8Message_A8Request
	//	*A8Message_A8Response
	Call                 isA8Message_Call `protobuf_oneof:"call"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *A8Message) Reset()         { *m = A8Message{} }
func (m *A8Message) String() string { return proto.CompactTextString(m) }
func (*A8Message) ProtoMessage()    {}
func (*A8Message) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{0}
}

func (m *A8Message) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_A8Message.Unmarshal(m, b)
}
func (m *A8Message) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_A8Message.Marshal(b, m, deterministic)
}
func (m *A8Message) XXX_Merge(src proto.Message) {
	xxx_messageInfo_A8Message.Merge(m, src)
}
func (m *A8Message) XXX_Size() int {
	return xxx_messageInfo_A8Message.Size(m)
}
func (m *A8Message) XXX_DiscardUnknown() {
	xxx_messageInfo_A8Message.DiscardUnknown(m)
}

var xxx_messageInfo_A8Message proto.InternalMessageInfo

func (m *A8Message) GetMessageId() string {
	if m != nil {
		return m.MessageId
	}
	return ""
}

func (m *A8Message) GetCallId() string {
	if m != nil {
		return m.CallId
	}
	return ""
}

type isA8Message_Call interface {
	isA8Message_Call()
}

type A8Message_A8Request struct {
	A8Request *A8Request `protobuf:"bytes,3,opt,name=a8_request,json=a8Request,proto3,oneof"`
}

type A8Message_A8Response struct {
	A8Response *A8Response `protobuf:"bytes,4,opt,name=a8_response,json=a8Response,proto3,oneof"`
}

func (*A8Message_A8Request) isA8Message_Call() {}

func (*A8Message_A8Response) isA8Message_Call() {}

func (m *A8Message) GetCall() isA8Message_Call {
	if m != nil {
		return m.Call
	}
	return nil
}

func (m *A8Message) GetA8Request() *A8Request {
	if x, ok := m.GetCall().(*A8Message_A8Request); ok {
		return x.A8Request
	}
	return nil
}

func (m *A8Message) GetA8Response() *A8Response {
	if x, ok := m.GetCall().(*A8Message_A8Response); ok {
		return x.A8Response
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*A8Message) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*A8Message_A8Request)(nil),
		(*A8Message_A8Response)(nil),
	}
}

//packaging a request made of an EN
type A8Request struct {
	//transaction and signature can be blank for non-secure requests
	Transaction *Transaction `protobuf:"bytes,1,opt,name=transaction,proto3" json:"transaction,omitempty"`
	Signature   []byte       `protobuf:"bytes,2,opt,name=signature,proto3" json:"signature,omitempty"`
	// Types that are valid to be assigned to Request:
	//	*A8Request_Invoke
	//	*A8Request_Deploy
	//	*A8Request_Show
	//	*A8Request_Logger
	Request              isA8Request_Request `protobuf_oneof:"request"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *A8Request) Reset()         { *m = A8Request{} }
func (m *A8Request) String() string { return proto.CompactTextString(m) }
func (*A8Request) ProtoMessage()    {}
func (*A8Request) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{1}
}

func (m *A8Request) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_A8Request.Unmarshal(m, b)
}
func (m *A8Request) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_A8Request.Marshal(b, m, deterministic)
}
func (m *A8Request) XXX_Merge(src proto.Message) {
	xxx_messageInfo_A8Request.Merge(m, src)
}
func (m *A8Request) XXX_Size() int {
	return xxx_messageInfo_A8Request.Size(m)
}
func (m *A8Request) XXX_DiscardUnknown() {
	xxx_messageInfo_A8Request.DiscardUnknown(m)
}

var xxx_messageInfo_A8Request proto.InternalMessageInfo

func (m *A8Request) GetTransaction() *Transaction {
	if m != nil {
		return m.Transaction
	}
	return nil
}

func (m *A8Request) GetSignature() []byte {
	if m != nil {
		return m.Signature
	}
	return nil
}

type isA8Request_Request interface {
	isA8Request_Request()
}

type A8Request_Invoke struct {
	Invoke *InvokeRequest `protobuf:"bytes,4,opt,name=invoke,proto3,oneof"`
}

type A8Request_Deploy struct {
	Deploy *FnData `protobuf:"bytes,5,opt,name=deploy,proto3,oneof"`
}

type A8Request_Show struct {
	Show *ShowRequest `protobuf:"bytes,6,opt,name=show,proto3,oneof"`
}

type A8Request_Logger struct {
	Logger *LoggerRequest `protobuf:"bytes,101,opt,name=logger,proto3,oneof"`
}

func (*A8Request_Invoke) isA8Request_Request() {}

func (*A8Request_Deploy) isA8Request_Request() {}

func (*A8Request_Show) isA8Request_Request() {}

func (*A8Request_Logger) isA8Request_Request() {}

func (m *A8Request) GetRequest() isA8Request_Request {
	if m != nil {
		return m.Request
	}
	return nil
}

func (m *A8Request) GetInvoke() *InvokeRequest {
	if x, ok := m.GetRequest().(*A8Request_Invoke); ok {
		return x.Invoke
	}
	return nil
}

func (m *A8Request) GetDeploy() *FnData {
	if x, ok := m.GetRequest().(*A8Request_Deploy); ok {
		return x.Deploy
	}
	return nil
}

func (m *A8Request) GetShow() *ShowRequest {
	if x, ok := m.GetRequest().(*A8Request_Show); ok {
		return x.Show
	}
	return nil
}

func (m *A8Request) GetLogger() *LoggerRequest {
	if x, ok := m.GetRequest().(*A8Request_Logger); ok {
		return x.Logger
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*A8Request) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*A8Request_Invoke)(nil),
		(*A8Request_Deploy)(nil),
		(*A8Request_Show)(nil),
		(*A8Request_Logger)(nil),
	}
}

//A8Response packages a response from an Execution Node
type A8Response struct {
	// Types that are valid to be assigned to Response:
	//	*A8Response_Invoke
	//	*A8Response_Deploy
	//	*A8Response_Show
	//	*A8Response_Error
	Response             isA8Response_Response `protobuf_oneof:"response"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *A8Response) Reset()         { *m = A8Response{} }
func (m *A8Response) String() string { return proto.CompactTextString(m) }
func (*A8Response) ProtoMessage()    {}
func (*A8Response) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{2}
}

func (m *A8Response) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_A8Response.Unmarshal(m, b)
}
func (m *A8Response) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_A8Response.Marshal(b, m, deterministic)
}
func (m *A8Response) XXX_Merge(src proto.Message) {
	xxx_messageInfo_A8Response.Merge(m, src)
}
func (m *A8Response) XXX_Size() int {
	return xxx_messageInfo_A8Response.Size(m)
}
func (m *A8Response) XXX_DiscardUnknown() {
	xxx_messageInfo_A8Response.DiscardUnknown(m)
}

var xxx_messageInfo_A8Response proto.InternalMessageInfo

type isA8Response_Response interface {
	isA8Response_Response()
}

type A8Response_Invoke struct {
	Invoke *InvokeResponse `protobuf:"bytes,1,opt,name=invoke,proto3,oneof"`
}

type A8Response_Deploy struct {
	Deploy *FnData `protobuf:"bytes,2,opt,name=deploy,proto3,oneof"`
}

type A8Response_Show struct {
	Show *ShowResponse `protobuf:"bytes,3,opt,name=show,proto3,oneof"`
}

type A8Response_Error struct {
	Error *Error `protobuf:"bytes,4,opt,name=error,proto3,oneof"`
}

func (*A8Response_Invoke) isA8Response_Response() {}

func (*A8Response_Deploy) isA8Response_Response() {}

func (*A8Response_Show) isA8Response_Response() {}

func (*A8Response_Error) isA8Response_Response() {}

func (m *A8Response) GetResponse() isA8Response_Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *A8Response) GetInvoke() *InvokeResponse {
	if x, ok := m.GetResponse().(*A8Response_Invoke); ok {
		return x.Invoke
	}
	return nil
}

func (m *A8Response) GetDeploy() *FnData {
	if x, ok := m.GetResponse().(*A8Response_Deploy); ok {
		return x.Deploy
	}
	return nil
}

func (m *A8Response) GetShow() *ShowResponse {
	if x, ok := m.GetResponse().(*A8Response_Show); ok {
		return x.Show
	}
	return nil
}

func (m *A8Response) GetError() *Error {
	if x, ok := m.GetResponse().(*A8Response_Error); ok {
		return x.Error
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*A8Response) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*A8Response_Invoke)(nil),
		(*A8Response_Deploy)(nil),
		(*A8Response_Show)(nil),
		(*A8Response_Error)(nil),
	}
}

//Transaction has information that makes a transaction a unique non-repeatable call
type Transaction struct {
	Nonce                string   `protobuf:"bytes,1,opt,name=nonce,proto3" json:"nonce,omitempty"`
	PublicKey            string   `protobuf:"bytes,2,opt,name=public_key,json=publicKey,proto3" json:"public_key,omitempty"`
	NodeId               string   `protobuf:"bytes,3,opt,name=NodeId,proto3" json:"NodeId,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Transaction) Reset()         { *m = Transaction{} }
func (m *Transaction) String() string { return proto.CompactTextString(m) }
func (*Transaction) ProtoMessage()    {}
func (*Transaction) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{3}
}

func (m *Transaction) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Transaction.Unmarshal(m, b)
}
func (m *Transaction) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Transaction.Marshal(b, m, deterministic)
}
func (m *Transaction) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Transaction.Merge(m, src)
}
func (m *Transaction) XXX_Size() int {
	return xxx_messageInfo_Transaction.Size(m)
}
func (m *Transaction) XXX_DiscardUnknown() {
	xxx_messageInfo_Transaction.DiscardUnknown(m)
}

var xxx_messageInfo_Transaction proto.InternalMessageInfo

func (m *Transaction) GetNonce() string {
	if m != nil {
		return m.Nonce
	}
	return ""
}

func (m *Transaction) GetPublicKey() string {
	if m != nil {
		return m.PublicKey
	}
	return ""
}

func (m *Transaction) GetNodeId() string {
	if m != nil {
		return m.NodeId
	}
	return ""
}

type InvokeRequest struct {
	Fqn                  string   `protobuf:"bytes,1,opt,name=fqn,proto3" json:"fqn,omitempty"`
	Input                []byte   `protobuf:"bytes,2,opt,name=Input,proto3" json:"Input,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InvokeRequest) Reset()         { *m = InvokeRequest{} }
func (m *InvokeRequest) String() string { return proto.CompactTextString(m) }
func (*InvokeRequest) ProtoMessage()    {}
func (*InvokeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{4}
}

func (m *InvokeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InvokeRequest.Unmarshal(m, b)
}
func (m *InvokeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InvokeRequest.Marshal(b, m, deterministic)
}
func (m *InvokeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InvokeRequest.Merge(m, src)
}
func (m *InvokeRequest) XXX_Size() int {
	return xxx_messageInfo_InvokeRequest.Size(m)
}
func (m *InvokeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_InvokeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_InvokeRequest proto.InternalMessageInfo

func (m *InvokeRequest) GetFqn() string {
	if m != nil {
		return m.Fqn
	}
	return ""
}

func (m *InvokeRequest) GetInput() []byte {
	if m != nil {
		return m.Input
	}
	return nil
}

type InvokeResponse struct {
	Data                 []byte   `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	Type                 string   `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *InvokeResponse) Reset()         { *m = InvokeResponse{} }
func (m *InvokeResponse) String() string { return proto.CompactTextString(m) }
func (*InvokeResponse) ProtoMessage()    {}
func (*InvokeResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{5}
}

func (m *InvokeResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_InvokeResponse.Unmarshal(m, b)
}
func (m *InvokeResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_InvokeResponse.Marshal(b, m, deterministic)
}
func (m *InvokeResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_InvokeResponse.Merge(m, src)
}
func (m *InvokeResponse) XXX_Size() int {
	return xxx_messageInfo_InvokeResponse.Size(m)
}
func (m *InvokeResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_InvokeResponse.DiscardUnknown(m)
}

var xxx_messageInfo_InvokeResponse proto.InternalMessageInfo

func (m *InvokeResponse) GetData() []byte {
	if m != nil {
		return m.Data
	}
	return nil
}

func (m *InvokeResponse) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

type FnData struct {
	Fqn                  string   `protobuf:"bytes,1,opt,name=fqn,proto3" json:"fqn,omitempty"`
	Image                string   `protobuf:"bytes,2,opt,name=image,proto3" json:"image,omitempty"`
	Memory               int32    `protobuf:"varint,3,opt,name=memory,proto3" json:"memory,omitempty"`
	Timeout              int32    `protobuf:"varint,4,opt,name=timeout,proto3" json:"timeout,omitempty"`
	IdleTimeout          int32    `protobuf:"varint,5,opt,name=idle_timeout,json=idleTimeout,proto3" json:"idle_timeout,omitempty"`
	Audit                *Audit   `protobuf:"bytes,6,opt,name=audit,proto3" json:"audit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FnData) Reset()         { *m = FnData{} }
func (m *FnData) String() string { return proto.CompactTextString(m) }
func (*FnData) ProtoMessage()    {}
func (*FnData) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{6}
}

func (m *FnData) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FnData.Unmarshal(m, b)
}
func (m *FnData) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FnData.Marshal(b, m, deterministic)
}
func (m *FnData) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FnData.Merge(m, src)
}
func (m *FnData) XXX_Size() int {
	return xxx_messageInfo_FnData.Size(m)
}
func (m *FnData) XXX_DiscardUnknown() {
	xxx_messageInfo_FnData.DiscardUnknown(m)
}

var xxx_messageInfo_FnData proto.InternalMessageInfo

func (m *FnData) GetFqn() string {
	if m != nil {
		return m.Fqn
	}
	return ""
}

func (m *FnData) GetImage() string {
	if m != nil {
		return m.Image
	}
	return ""
}

func (m *FnData) GetMemory() int32 {
	if m != nil {
		return m.Memory
	}
	return 0
}

func (m *FnData) GetTimeout() int32 {
	if m != nil {
		return m.Timeout
	}
	return 0
}

func (m *FnData) GetIdleTimeout() int32 {
	if m != nil {
		return m.IdleTimeout
	}
	return 0
}

func (m *FnData) GetAudit() *Audit {
	if m != nil {
		return m.Audit
	}
	return nil
}

type ShowRequest struct {
	Ns                   string   `protobuf:"bytes,1,opt,name=ns,proto3" json:"ns,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ShowRequest) Reset()         { *m = ShowRequest{} }
func (m *ShowRequest) String() string { return proto.CompactTextString(m) }
func (*ShowRequest) ProtoMessage()    {}
func (*ShowRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{7}
}

func (m *ShowRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowRequest.Unmarshal(m, b)
}
func (m *ShowRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowRequest.Marshal(b, m, deterministic)
}
func (m *ShowRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowRequest.Merge(m, src)
}
func (m *ShowRequest) XXX_Size() int {
	return xxx_messageInfo_ShowRequest.Size(m)
}
func (m *ShowRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ShowRequest proto.InternalMessageInfo

func (m *ShowRequest) GetNs() string {
	if m != nil {
		return m.Ns
	}
	return ""
}

type ShowResponse struct {
	// Types that are valid to be assigned to Response:
	//	*ShowResponse_FnFunctionData
	//	*ShowResponse_NamespaceList
	Response             isShowResponse_Response `protobuf_oneof:"response"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *ShowResponse) Reset()         { *m = ShowResponse{} }
func (m *ShowResponse) String() string { return proto.CompactTextString(m) }
func (*ShowResponse) ProtoMessage()    {}
func (*ShowResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{8}
}

func (m *ShowResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ShowResponse.Unmarshal(m, b)
}
func (m *ShowResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ShowResponse.Marshal(b, m, deterministic)
}
func (m *ShowResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ShowResponse.Merge(m, src)
}
func (m *ShowResponse) XXX_Size() int {
	return xxx_messageInfo_ShowResponse.Size(m)
}
func (m *ShowResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ShowResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ShowResponse proto.InternalMessageInfo

type isShowResponse_Response interface {
	isShowResponse_Response()
}

type ShowResponse_FnFunctionData struct {
	FnFunctionData *FnData `protobuf:"bytes,1,opt,name=fn_function_data,json=fnFunctionData,proto3,oneof"`
}

type ShowResponse_NamespaceList struct {
	NamespaceList *NamespaceList `protobuf:"bytes,2,opt,name=namespace_list,json=namespaceList,proto3,oneof"`
}

func (*ShowResponse_FnFunctionData) isShowResponse_Response() {}

func (*ShowResponse_NamespaceList) isShowResponse_Response() {}

func (m *ShowResponse) GetResponse() isShowResponse_Response {
	if m != nil {
		return m.Response
	}
	return nil
}

func (m *ShowResponse) GetFnFunctionData() *FnData {
	if x, ok := m.GetResponse().(*ShowResponse_FnFunctionData); ok {
		return x.FnFunctionData
	}
	return nil
}

func (m *ShowResponse) GetNamespaceList() *NamespaceList {
	if x, ok := m.GetResponse().(*ShowResponse_NamespaceList); ok {
		return x.NamespaceList
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*ShowResponse) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*ShowResponse_FnFunctionData)(nil),
		(*ShowResponse_NamespaceList)(nil),
	}
}

//oneof cannot have repeated as a modifier of an entry, so we are wrapping the one of in a list message
type NamespaceList struct {
	List                 []*NamespaceData `protobuf:"bytes,1,rep,name=list,proto3" json:"list,omitempty"`
	XXX_NoUnkeyedLiteral struct{}         `json:"-"`
	XXX_unrecognized     []byte           `json:"-"`
	XXX_sizecache        int32            `json:"-"`
}

func (m *NamespaceList) Reset()         { *m = NamespaceList{} }
func (m *NamespaceList) String() string { return proto.CompactTextString(m) }
func (*NamespaceList) ProtoMessage()    {}
func (*NamespaceList) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{9}
}

func (m *NamespaceList) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NamespaceList.Unmarshal(m, b)
}
func (m *NamespaceList) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NamespaceList.Marshal(b, m, deterministic)
}
func (m *NamespaceList) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NamespaceList.Merge(m, src)
}
func (m *NamespaceList) XXX_Size() int {
	return xxx_messageInfo_NamespaceList.Size(m)
}
func (m *NamespaceList) XXX_DiscardUnknown() {
	xxx_messageInfo_NamespaceList.DiscardUnknown(m)
}

var xxx_messageInfo_NamespaceList proto.InternalMessageInfo

func (m *NamespaceList) GetList() []*NamespaceData {
	if m != nil {
		return m.List
	}
	return nil
}

type NamespaceData struct {
	NamespaceName        string   `protobuf:"bytes,1,opt,name=namespace_name,json=namespaceName,proto3" json:"namespace_name,omitempty"`
	Audit                *Audit   `protobuf:"bytes,2,opt,name=audit,proto3" json:"audit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NamespaceData) Reset()         { *m = NamespaceData{} }
func (m *NamespaceData) String() string { return proto.CompactTextString(m) }
func (*NamespaceData) ProtoMessage()    {}
func (*NamespaceData) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{10}
}

func (m *NamespaceData) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NamespaceData.Unmarshal(m, b)
}
func (m *NamespaceData) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NamespaceData.Marshal(b, m, deterministic)
}
func (m *NamespaceData) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NamespaceData.Merge(m, src)
}
func (m *NamespaceData) XXX_Size() int {
	return xxx_messageInfo_NamespaceData.Size(m)
}
func (m *NamespaceData) XXX_DiscardUnknown() {
	xxx_messageInfo_NamespaceData.DiscardUnknown(m)
}

var xxx_messageInfo_NamespaceData proto.InternalMessageInfo

func (m *NamespaceData) GetNamespaceName() string {
	if m != nil {
		return m.NamespaceName
	}
	return ""
}

func (m *NamespaceData) GetAudit() *Audit {
	if m != nil {
		return m.Audit
	}
	return nil
}

type Audit struct {
	CreatedAt            int64    `protobuf:"varint,1,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	UpdatedAt            int64    `protobuf:"varint,2,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Audit) Reset()         { *m = Audit{} }
func (m *Audit) String() string { return proto.CompactTextString(m) }
func (*Audit) ProtoMessage()    {}
func (*Audit) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{11}
}

func (m *Audit) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Audit.Unmarshal(m, b)
}
func (m *Audit) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Audit.Marshal(b, m, deterministic)
}
func (m *Audit) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Audit.Merge(m, src)
}
func (m *Audit) XXX_Size() int {
	return xxx_messageInfo_Audit.Size(m)
}
func (m *Audit) XXX_DiscardUnknown() {
	xxx_messageInfo_Audit.DiscardUnknown(m)
}

var xxx_messageInfo_Audit proto.InternalMessageInfo

func (m *Audit) GetCreatedAt() int64 {
	if m != nil {
		return m.CreatedAt
	}
	return 0
}

func (m *Audit) GetUpdatedAt() int64 {
	if m != nil {
		return m.UpdatedAt
	}
	return 0
}

type Error struct {
	Message              string   `protobuf:"bytes,1,opt,name=message,proto3" json:"message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Error) Reset()         { *m = Error{} }
func (m *Error) String() string { return proto.CompactTextString(m) }
func (*Error) ProtoMessage()    {}
func (*Error) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{12}
}

func (m *Error) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Error.Unmarshal(m, b)
}
func (m *Error) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Error.Marshal(b, m, deterministic)
}
func (m *Error) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Error.Merge(m, src)
}
func (m *Error) XXX_Size() int {
	return xxx_messageInfo_Error.Size(m)
}
func (m *Error) XXX_DiscardUnknown() {
	xxx_messageInfo_Error.DiscardUnknown(m)
}

var xxx_messageInfo_Error proto.InternalMessageInfo

func (m *Error) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

//yikesasaurusRex
type LoggerRequest struct {
	SyslogUrl            string   `protobuf:"bytes,1,opt,name=syslog_url,json=syslogUrl,proto3" json:"syslog_url,omitempty"`
	AppName              string   `protobuf:"bytes,2,opt,name=app_name,json=appName,proto3" json:"app_name,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *LoggerRequest) Reset()         { *m = LoggerRequest{} }
func (m *LoggerRequest) String() string { return proto.CompactTextString(m) }
func (*LoggerRequest) ProtoMessage()    {}
func (*LoggerRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_4dc296cbfe5ffcd5, []int{13}
}

func (m *LoggerRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_LoggerRequest.Unmarshal(m, b)
}
func (m *LoggerRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_LoggerRequest.Marshal(b, m, deterministic)
}
func (m *LoggerRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_LoggerRequest.Merge(m, src)
}
func (m *LoggerRequest) XXX_Size() int {
	return xxx_messageInfo_LoggerRequest.Size(m)
}
func (m *LoggerRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_LoggerRequest.DiscardUnknown(m)
}

var xxx_messageInfo_LoggerRequest proto.InternalMessageInfo

func (m *LoggerRequest) GetSyslogUrl() string {
	if m != nil {
		return m.SyslogUrl
	}
	return ""
}

func (m *LoggerRequest) GetAppName() string {
	if m != nil {
		return m.AppName
	}
	return ""
}

func init() {
	proto.RegisterType((*A8Message)(nil), "messages.A8message")
	proto.RegisterType((*A8Request)(nil), "messages.A8Request")
	proto.RegisterType((*A8Response)(nil), "messages.A8Response")
	proto.RegisterType((*Transaction)(nil), "messages.Transaction")
	proto.RegisterType((*InvokeRequest)(nil), "messages.InvokeRequest")
	proto.RegisterType((*InvokeResponse)(nil), "messages.InvokeResponse")
	proto.RegisterType((*FnData)(nil), "messages.FnData")
	proto.RegisterType((*ShowRequest)(nil), "messages.ShowRequest")
	proto.RegisterType((*ShowResponse)(nil), "messages.ShowResponse")
	proto.RegisterType((*NamespaceList)(nil), "messages.NamespaceList")
	proto.RegisterType((*NamespaceData)(nil), "messages.NamespaceData")
	proto.RegisterType((*Audit)(nil), "messages.Audit")
	proto.RegisterType((*Error)(nil), "messages.Error")
	proto.RegisterType((*LoggerRequest)(nil), "messages.LoggerRequest")
}

func init() { proto.RegisterFile("messages.proto", fileDescriptor_4dc296cbfe5ffcd5) }

var fileDescriptor_4dc296cbfe5ffcd5 = []byte{
	// 730 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x84, 0x55, 0xdd, 0x4e, 0xdb, 0x4c,
	0x10, 0xc5, 0x49, 0xec, 0xe0, 0xc9, 0xcf, 0x87, 0xf6, 0xa3, 0xe0, 0x4a, 0x45, 0x02, 0x4b, 0xa8,
	0xa8, 0xad, 0x90, 0x4a, 0x2b, 0x91, 0x0b, 0x2e, 0x1a, 0x54, 0x10, 0x51, 0x11, 0x17, 0x5b, 0x7a,
	0x53, 0xa9, 0xb2, 0x96, 0x78, 0x13, 0x2c, 0x9c, 0x5d, 0xe3, 0x5d, 0x17, 0xe5, 0x55, 0xfa, 0x0c,
	0x3c, 0x41, 0x5f, 0xa2, 0xaf, 0x54, 0xed, 0x8f, 0x63, 0x07, 0x68, 0x7b, 0xb7, 0x73, 0xce, 0xcc,
	0xec, 0x99, 0xd9, 0xe3, 0x04, 0xfa, 0x33, 0x2a, 0x04, 0x99, 0x52, 0xb1, 0x9f, 0xe5, 0x5c, 0x72,
	0xb4, 0x5a, 0xc6, 0xe1, 0x4f, 0x07, 0xfc, 0xe1, 0xc0, 0x86, 0x68, 0x0b, 0xc0, 0x1e, 0xa3, 0x24,
	0x0e, 0x9c, 0x6d, 0x67, 0xcf, 0xc7, 0xbe, 0x45, 0x46, 0x31, 0xda, 0x84, 0xf6, 0x98, 0xa4, 0xa9,
	0xe2, 0x1a, 0x9a, 0xf3, 0x54, 0x38, 0x8a, 0xd1, 0x7b, 0x00, 0x32, 0x88, 0x72, 0x7a, 0x5b, 0x50,
	0x21, 0x83, 0xe6, 0xb6, 0xb3, 0xd7, 0x39, 0xf8, 0x7f, 0x7f, 0x71, 0xe9, 0x70, 0x80, 0x0d, 0x75,
	0xb6, 0x82, 0x7d, 0x52, 0x06, 0xe8, 0x10, 0x3a, 0xba, 0x4a, 0x64, 0x9c, 0x09, 0x1a, 0xb4, 0x74,
	0xd9, 0xfa, 0x72, 0x99, 0xe1, 0xce, 0x56, 0x30, 0x90, 0x45, 0x74, 0xec, 0x41, 0x4b, 0x5d, 0x1c,
	0xde, 0x37, 0x94, 0xf8, 0x5a, 0x3b, 0x99, 0x13, 0x26, 0xc8, 0x58, 0x26, 0x9c, 0x69, 0xf5, 0x9d,
	0x83, 0x67, 0x55, 0xbb, 0xcb, 0x8a, 0xc4, 0xf5, 0x4c, 0xf4, 0x02, 0x7c, 0x91, 0x4c, 0x19, 0x91,
	0x45, 0x4e, 0xf5, 0x60, 0x5d, 0x5c, 0x01, 0xe8, 0x2d, 0x78, 0x09, 0xfb, 0xce, 0x6f, 0x4a, 0x81,
	0x9b, 0x55, 0xc7, 0x91, 0xc6, 0xab, 0xd9, 0x6c, 0x22, 0x7a, 0x05, 0x5e, 0x4c, 0xb3, 0x94, 0xcf,
	0x03, 0x57, 0x97, 0xac, 0x55, 0x25, 0xa7, 0xec, 0x23, 0x91, 0x44, 0xe5, 0x9a, 0x0c, 0xf4, 0x1a,
	0x5a, 0xe2, 0x9a, 0xdf, 0x05, 0xde, 0x43, 0xb9, 0x9f, 0xaf, 0xf9, 0x5d, 0xd5, 0x5a, 0x27, 0x29,
	0x2d, 0x29, 0x9f, 0x4e, 0x69, 0x1e, 0xd0, 0x87, 0x5a, 0xce, 0x35, 0x5e, 0xd3, 0x62, 0x12, 0x8f,
	0x7d, 0x68, 0xdb, 0x77, 0x09, 0x7f, 0x39, 0x00, 0xd5, 0x4e, 0xd1, 0xc1, 0x62, 0x30, 0xb3, 0xaa,
	0xe0, 0xf1, 0x60, 0x8b, 0xed, 0x3f, 0x9e, 0xac, 0xf1, 0xcf, 0xc9, 0xde, 0xd8, 0xc9, 0x8c, 0x1d,
	0x36, 0x1e, 0x4e, 0xb6, 0xe8, 0x6d, 0x46, 0x7b, 0x09, 0x2e, 0xcd, 0x73, 0x9e, 0xdb, 0x2d, 0xff,
	0x57, 0xa5, 0x9f, 0x28, 0xf8, 0x6c, 0x05, 0x1b, 0xfe, 0x18, 0x60, 0xb5, 0xb4, 0x4c, 0xf8, 0x15,
	0x3a, 0xb5, 0x57, 0x45, 0xeb, 0xe0, 0x32, 0xce, 0xc6, 0xd4, 0x3a, 0xd7, 0x04, 0xca, 0xd4, 0x59,
	0x71, 0x95, 0x26, 0xe3, 0xe8, 0x86, 0xce, 0xad, 0x71, 0x7d, 0x83, 0x7c, 0xa2, 0x73, 0xb4, 0x01,
	0xde, 0x05, 0x8f, 0xe9, 0x28, 0xd6, 0x42, 0x7d, 0x6c, 0xa3, 0xf0, 0x10, 0x7a, 0x4b, 0xef, 0x8b,
	0xd6, 0xa0, 0x39, 0xb9, 0x65, 0xb6, 0xb7, 0x3a, 0xaa, 0xfb, 0x46, 0x2c, 0x2b, 0xa4, 0x35, 0x8d,
	0x09, 0xc2, 0x01, 0xf4, 0x97, 0xf7, 0x87, 0x10, 0xb4, 0x62, 0x22, 0x89, 0x2e, 0xed, 0x62, 0x7d,
	0x56, 0x98, 0x9c, 0x67, 0xd4, 0xea, 0xd1, 0xe7, 0xf0, 0xde, 0x01, 0xcf, 0xac, 0xf1, 0xe9, 0xcb,
	0x92, 0x19, 0x99, 0x96, 0x15, 0x26, 0x50, 0xea, 0x67, 0x74, 0xc6, 0xf3, 0xb9, 0x56, 0xef, 0x62,
	0x1b, 0xa1, 0x00, 0xda, 0x32, 0x99, 0x51, 0x5e, 0x48, 0xbd, 0x50, 0x17, 0x97, 0x21, 0xda, 0x81,
	0x6e, 0x12, 0xa7, 0x34, 0x2a, 0x69, 0x57, 0xd3, 0x1d, 0x85, 0x5d, 0xda, 0x94, 0x5d, 0x70, 0x49,
	0x11, 0x27, 0xd2, 0x9a, 0xb2, 0xf6, 0x16, 0x43, 0x05, 0x63, 0xc3, 0x86, 0x5b, 0xd0, 0xa9, 0x99,
	0x14, 0xf5, 0xa1, 0xc1, 0x84, 0x55, 0xdc, 0x60, 0x22, 0xfc, 0xe1, 0x40, 0xb7, 0xfe, 0xd4, 0xe8,
	0x08, 0xd6, 0x26, 0x2c, 0x9a, 0x14, 0x4c, 0xbf, 0x56, 0xb4, 0x58, 0xc9, 0xd3, 0x36, 0xea, 0x4f,
	0xd8, 0xa9, 0x4d, 0xd5, 0x1b, 0xf9, 0x00, 0x7d, 0x46, 0x66, 0x54, 0x64, 0x64, 0x4c, 0xa3, 0x34,
	0x11, 0xd2, 0x5a, 0xb0, 0xf6, 0x0d, 0x5c, 0x94, 0xfc, 0x79, 0xa2, 0xbf, 0x81, 0x1e, 0xab, 0x03,
	0x4b, 0xce, 0x39, 0x82, 0xde, 0x52, 0xb6, 0xfa, 0x0e, 0x75, 0x53, 0x67, 0xbb, 0xf9, 0x87, 0xa6,
	0x4a, 0x05, 0xd6, 0x49, 0xe1, 0xb7, 0x5a, 0xb5, 0x16, 0xb7, 0x5b, 0x17, 0xa7, 0x4e, 0x76, 0x0f,
	0x95, 0x02, 0x95, 0x5f, 0x2d, 0xb6, 0xf1, 0xd7, 0xc5, 0x9e, 0x80, 0xab, 0x63, 0x65, 0xdd, 0x71,
	0x4e, 0x89, 0xa4, 0x71, 0x44, 0xa4, 0x6e, 0xd9, 0xc4, 0xbe, 0x45, 0x86, 0x9a, 0x2e, 0xb2, 0xb8,
	0xa4, 0x1b, 0x86, 0xb6, 0xc8, 0x50, 0x86, 0x3b, 0xe0, 0xea, 0x6f, 0x47, 0x99, 0xc1, 0x5e, 0x64,
	0x65, 0x95, 0x61, 0x38, 0x82, 0xde, 0xd2, 0x0f, 0x87, 0x6a, 0x29, 0xe6, 0x22, 0xe5, 0xd3, 0xa8,
	0xc8, 0xd3, 0xf2, 0x1f, 0xc0, 0x20, 0x5f, 0xf2, 0x14, 0x3d, 0x87, 0x55, 0x92, 0x65, 0x66, 0x42,
	0xe3, 0xc3, 0x36, 0xc9, 0x32, 0x35, 0xdb, 0x95, 0xa7, 0xff, 0x5a, 0xde, 0xfd, 0x0e, 0x00, 0x00,
	0xff, 0xff, 0xd8, 0xa8, 0x30, 0xfa, 0x6c, 0x06, 0x00, 0x00,
}
